org.eclipse.mat.report.internal

## Class AbstractPart

- java.lang.Object
- - org.eclipse.mat.report.internal.AbstractPart

Direct Known Subclasses:
  LinkedPart, QueryPart, SectionPart

    public abstract class AbstractPart
    extends Object

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract AbstractPart` `execute(IQueryContext context, ResultRenderer renderer, IProgressListener listener)`
`List<AbstractPart>` `getChildren()`
`String` `getCommand()`
`String` `getId()`
`Object` `getObject(String key)`
`AbstractPart` `getParent()`
`ITestResult.Status` `getStatus()`
`Parameters` `params()`
`Object` `putObject(String key, Object value)`
`Spec` `spec()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getId

    public String getId()

#### getStatus

    public ITestResult.Status getStatus()

#### getParent

    public AbstractPart getParent()

#### spec

    public Spec spec()

#### params

    public Parameters params()

#### getObject

    public Object getObject(String key)

#### putObject

    public Object putObject(String key,
                            Object value)

#### getChildren

    public List<AbstractPart> getChildren()

#### getCommand

    public String getCommand()

#### execute

    public abstract AbstractPart execute(IQueryContext context,
                                         ResultRenderer renderer,
                                         IProgressListener listener)
                                  throws SnapshotException,
                                         IOException

Throws:
  `SnapshotException`
  `IOException`